---
name: List
menu: Patterns
---

import { Playground, Props } from "docz";

import List from "./List";
import ListItem from "./ListItem";
import ListItemIcon from "./ListItemIcon";
import ListItemText from "./ListItemText";
import Icon from "./Icon";

# List

Lists contain at least one List Item with at least one List Item Text. Each List Item can contain a List Item Icon.

## Best practices

- Please do not mix list items with and without an icon.

<!-- Lists -->

### Basic usage

<Playground>
  <List>
    <ListItem>
      <ListItemIcon>
        <Icon>user</Icon>
      </ListItemIcon>
      <ListItemText>List item 1</ListItemText>
    </ListItem>
    <ListItem>
      <ListItemIcon>
        <Icon>question-circle</Icon>
      </ListItemIcon>
      <ListItemText>List item 2</ListItemText>
    </ListItem>
    <ListItem>
      <ListItemIcon>
        <Icon>cart</Icon>
      </ListItemIcon>
      <ListItemText>List item 3</ListItemText>
    </ListItem>
    <ListItem>
      <ListItemIcon>
        <Icon>exit</Icon>
      </ListItemIcon>
      <ListItemText>List item 4</ListItemText>
    </ListItem>
  </List>
  <List>
    <ListItem>
      <ListItemText>List item 1</ListItemText>
    </ListItem>
    <ListItem>
      <ListItemText>List item 2</ListItemText>
    </ListItem>
    <ListItem>
      <ListItemText>List item 3</ListItemText>
    </ListItem>
    <ListItem>
      <ListItemText>List item 4</ListItemText>
    </ListItem>
  </List>
</Playground>

### Properties

<Props of={List} />
